# ../rpg4go/globals.py

# =============================================================================
# >> INIT GLOBAL VARIABLES
# =============================================================================
# Hold current version of rpg4go
version = "0.3.2"


# =============================================================================
# >> INIT GLOBAL LISTS
# =============================================================================
def initLists():
    '''Initialize global lists to prevent re-initializing on every import.'''
    global command_list, skill_list, user_list
    command_list = []
    skill_list = []
    user_list = []


# =============================================================================
# >> GLOBAL LISTS' CONTROL FUNCTIONS
# =============================================================================
# Control command_list
def addCommand(obj):
    command_list.append(obj)

def removeCommand(obj):
    command_list.remove(obj)

# Control skill_list
def addSkill(obj):
    skill_list.append(obj)

def removeCommand(obj):
    skill_list.remove(obj)

# Control user_list
def addUser(obj):
    user_list.append(obj)

def removeUser(obj):
    user_list.remove(obj)


